# Uses of Interface
org.eclipse.core.resources.undo.snapshot.IContainerSnapshot

Packages that use IContainerSnapshot
Package
Description
org.eclipse.core.resources.undo.snapshot
org.eclipse.ui.ide.undo
APIs that provide undo and redo behavior for operations that manipulate the workspace.

## Uses of IContainerSnapshot in org.eclipse.core.resources.undo.snapshot

Methods in org.eclipse.core.resources.undo.snapshot that return IContainerSnapshot
Modifier and Type
Method
Description
`static IContainerSnapshot<? extends IContainer>`
ResourceSnapshotFactory.`fromContainer(IContainer container)`
Create a container description from the specified container handle that can be used to create the container.
`static IContainerSnapshot<IProject>`
ResourceSnapshotFactory.`fromProjectDescription(IProjectDescription projectDescription)`
Create a project snapshot from a specified IProjectDescription.
`static IContainerSnapshot<? extends IContainer>`
ResourceSnapshotFactory.`fromVirtualFolderContainer(IContainer container)`
Create a group container description from the specified container handle that can be used to create the container.

## Uses of IContainerSnapshot in org.eclipse.ui.ide.undo

Methods in org.eclipse.ui.ide.undo that return IContainerSnapshot
Modifier and Type
Method
Description
`static IContainerSnapshot<? extends IContainer>`
WorkspaceUndoUtil.`getFirstLeafFolder(IContainerSnapshot<? extends IContainer> parent)`
Return the first folder found that has no child folders.
Methods in org.eclipse.ui.ide.undo with parameters of type IContainerSnapshot
Modifier and Type
Method
Description
`static IContainerSnapshot<? extends IContainer>`
WorkspaceUndoUtil.`getFirstLeafFolder(IContainerSnapshot<? extends IContainer> parent)`
Return the first folder found that has no child folders.